<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.base.mapper.CuMemberAchieveLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.member.detail.CuMemberAchieveLog">
        <result column="PK_COUNTRY" property="pkCountry"/>
        <result column="DEL_FLAG" property="delFlag"/>
        <result column="PK_CREATOR" property="pkCreator"/>
        <result column="PERIOD" property="period"/>
        <result column="CREATION_TIME" property="creationTime"/>
        <result column="PK_MODIFIED" property="pkModified"/>
        <result column="MODIFIED_TIME" property="modifiedTime"/>
        <result column="PK_ID" property="pkId"/>
        <result column="PK_MEMBER" property="pkMember"/>
        <result column="A_SUM_REAL_MODIFY_PV" property="aSumRealModifyPv"/>
        <result column="B_SUM_REAL_MODIFY_PV" property="bSumRealModifyPv"/>
        <result column="A_FIRST_MODIFY_PV" property="aFirstModifyPv"/>
        <result column="B_FIRST_MODIFY_PV" property="bFirstModifyPv"/>
        <result column="REP_A_FIRST_MODIFY_BALANCE" property="repAFirstModifyBalance"/>
        <result column="REP_B_FIRST_MODIFY_BALANCE" property="repBFirstModifyBalance"/>
        <result column="REP_A_MODIFY_SUM_PV" property="repAModifySumPv"/>
        <result column="REP_B_MODIFY_SUM_PV" property="repBModifySumPv"/>
        <result column="REP_A_MODIFY_BALANCE" property="repAModifyBalance"/>
        <result column="REP_B_MODIFY_BALANCE" property="repBModifyBalance"/>
        <result column="INFUSING_WATER_TYPE" property="infusingWaterType"/>
        <result column="REMARKS" property="remarks"/>
    </resultMap>

    <resultMap id="CuMemberAchieveLogVO" type="com.hzs.bonus.base.vo.CuMemberAchieveLogVO">
        <result column="PK_COUNTRY" property="pkCountry"/>
        <result column="PK_CREATOR" property="pkCreator"/>
        <result column="CREATION_TIME" property="creationTime"/>
        <result column="PK_ID" property="pkId"/>
        <result column="PK_MEMBER" property="pkMember"/>
        <result column="A_BALANCE" property="abalance"/>
        <result column="B_BALANCE" property="bbalance"/>
        <result column="A_SUM_REAL_PV" property="asumRealPv"/>
        <result column="B_SUM_REAL_PV" property="bsumRealPv"/>
        <result column="REP_A_BALANCE" property="repABalance"/>
        <result column="REP_B_BALANCE" property="repBBalance"/>
        <result column="REP_A_SUM_PV" property="repASumPv"/>
        <result column="REP_B_SUM_PV" property="repBSumPv"/>
        <result column="A_SUM_REAL_MODIFY_PV" property="asumRealModifyPv"/>
        <result column="B_SUM_REAL_MODIFY_PV" property="bsumRealModifyPv"/>
        <result column="A_SUM_PV" property="asumPv"/>
        <result column="A_FIRST_MODIFY_PV" property="afirstModifyPv"/>
        <result column="B_SUM_PV" property="bsumPv"/>
        <result column="B_FIRST_MODIFY_PV" property="bfirstModifyPv"/>
        <result column="REP_A_FIRST_MODIFY_BALANCE" property="repAFirstModifyBalance"/>
        <result column="REP_B_FIRST_MODIFY_BALANCE" property="repBFirstModifyBalance"/>
        <result column="REP_A_MODIFY_SUM_PV" property="repAModifySumPv"/>
        <result column="REP_B_MODIFY_SUM_PV" property="repBModifySumPv"/>
        <result column="REP_A_MODIFY_BALANCE" property="repAModifyBalance"/>
        <result column="REP_B_MODIFY_BALANCE" property="repBModifyBalance"/>
        <result column="INFUSING_WATER_TYPE" property="infusingWaterType"/>
        <result column="REMARKS" property="remarks"/>
        <result column="TEAM_NAME" property="teamName"/>
        <result column="VERTEX_NAME" property="vertexName"/>
        <result column="awards" property="awards"/>
        <result column="PHONE" property="phone"/>
        <result column="DUE_DATE" property="dueDate"/>
        <result column="SETTLE_DATE" property="settleDate"/>
    </resultMap>

</mapper>
